* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    scroll-margin-top: 100px;
    font-family: 'Inter', sans-serif;
}

html,
body {
    width: 100%;
    overflow-x: hidden;
    margin: 0 !important;
    padding: 0 !important;
}

body {
    background-color: rgb(250, 250, 250);
    position: relative;
    /* overflow: hidden; */
}

/* ******************* Header ******************* */
.menu-toggle {
    display: none;
}

header {
    position: absolute;
    z-index: 1;
}

.main-header {
    position: fixed;
    width: 100%;
    background-color: rgb(100, 60, 161);
    padding: 20px 30px;
    margin-bottom: 200px;
    z-index: 1000;
}

.sub-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.sub-header a {
    text-decoration: none;
}

.sub-header .logo {
    font-size: 1.6em;
    font-weight: bold;
    color: white;
}

.sub-header>div>nav>ul {
    list-style: none;
}

.sub-header>div>nav>ul>li {
    display: inline-block;
    margin-right: 25px;

}

.sub-header>div>nav>ul>li>a {
    text-decoration: none;
    font-size: 1.2em;
    font-weight: bold;
    color: rgb(255, 255, 255);
    transition: color 0.4s ease;
}

.sub-header>div>nav>ul>li>a:hover {
    color: rgb(60, 254, 46);
}


/* Nav > Drop-down */
.dropbtn {
    padding: 13px 0 13px;
}

.dropdown>button {
    border: none;
    background-color: transparent;
    color: rgb(60, 254, 46);
    cursor: pointer;
    font-size: 1.3em;
    font-weight: bold;
}

.dropdown-content {
    position: absolute;
    /* margin-top: 10px; */
    right: 130px;
    width: 50%;
    display: none;
    background-color: rgb(228, 228, 228);
    box-shadow: 2px 2px 4px 2px rgba(0, 0, 0, 0.235);
    padding: 10px 15px 15px;
    border-radius: 5px;
}

.dropdown-content>a {
    display: block;
    padding: 12px 16px;
    text-align: left;
    color: rgb(0, 0, 0);
    font-size: 1.1em;
    border-bottom: 1px solid rgba(0, 0, 0, 0.098);
    font-weight: 500;
}

.dropdown-content>a:hover {
    background-color: rgb(100, 60, 161);
    color: white;
    border-radius: 3px;
}

.dropdown:hover .dropdown-content {
    display: block;
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 20px;
}


/* Sprache der Website-For-Mobile */
.wbsite-sprache-mobile {
    display: none;
}

/* Header >  Sprache der Website */
.wbsite-sprache {
    display: flex;
    align-items: center;
    gap: 8px;
    border-left: 2px solid white;
    padding-left: 30px;
}

.wbsite-sprache>div:nth-child(1) {
    background-color: rgb(238, 238, 238);
}

.wbsite-sprache>div:nth-child(1)>a {
    color: black;
}

.wbsite-sprache>div>a {
    text-decoration: none;
    color: rgb(255, 255, 255);
    font-size: 1.1em;
}

.wbsite-sprache>div>a:hover {
    color: black;
}

.sprache {
    border: 1px solid white;
    padding: 4px 10px;
    border-radius: 10px;
    transition: background-color 0.4s ease;
}

.sprache:hover {
    background-color: rgb(236, 236, 236);
    padding: 4px 10px;
    border-radius: 10px;
}

/* ******************* Banner ******************* */
.main-banner {
    background-color: rgb(100, 60, 161);
    padding: 50px 30px;
    color: white;
    margin-bottom: 100px;
    margin-top: 50px;
    position: relative;
}

.order {
    vertical-align: middle;
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 30px;
}

.order>p {
    font-size: 20px;
}

.main-banner h1 {
    margin-top: 5px;
    width: 100%;
    font-size: 70px;
    line-height: 1.3;
    margin-bottom: 50px;
    z-index: 1;
}

.banner-titel {
    position: relative;
    /*position: absolute: um z-index richtig zu funktionieren*/
    z-index: 2;
}

.banner-titel p {
    width: 750px;
    line-height: 1.5;
    border-left: 5px solid rgb(60, 254, 46);
    padding-left: 15px;

}

.banner-image {
    position: absolute;
    /*position: absolute: um z-index richtig zu funktionieren*/
    right: -3%;
    top: 3%;
    z-index: 1;
}

.sub-banner>.banner-image>img {
    width: 490px;
    opacity: 0.4;
}

/* Banner > project-start-button */
.project-toggle {
    display: none;
}

.poject-start {
    margin-top: 40px;
}

.project-hamburger {
    background-color: rgb(60, 254, 46);
    color: black;
    border-radius: 100px;
    padding: 8px 18px;
    font-weight: bold;
    font-size: 1.1em;
    cursor: pointer;
}

.banner-ps {
    background-color: rgb(100, 60, 161);
    padding: 27px;
    padding-top: 55px;
    position: fixed;
    top: 12%;
    width: 100%;
    max-width: 900px;
    transition: all 0.5s ease;
    right: -200%;
    height: 100vh;
    box-shadow: 1px 80px 80px 10px rgba(0, 0, 0, 0.315);
}

.project-toggle:checked~.banner-ps {
    right: 0;

}

.banner-ps>form>.desc-ps>label>textarea {
    height: 275px;
}


/* ******************* About ******************* */
.main-about {
    padding: 0 30px;
}

.sub-about {
    display: flex;
    justify-content: center;
    gap: 180px;
    align-items: start;
}

.sub-about>img {
    width: 180px;
    /* border: 5px solid rgb(255, 255, 255); */
}

.about>h2 {
    margin-bottom: 30px;
}

.about>p {
    width: 600px;
    font-size: 1.1em;
    line-height: 1.6;
    color: rgba(128, 128, 128, 0.785);
    font-weight: bold;
}

hr {
    margin: 100px 100px;
    padding: 0 30px;
    opacity: 0.3;
}

/* ******************* Projects ******************* */
.main-projects {
    padding: 0 30px;
    margin-bottom: 100px;
}

.project-titel {
    margin-bottom: 50px;
    display: flex;
    align-items: start;
    justify-content: space-between;
    padding-right: 50px;
}

.project-titel>div>a>button {
    background-color: transparent;
    border: none;
    margin-top: 15px;
    cursor: pointer;
    background-color: rgb(100, 60, 161);
    border-radius: 10px;
    padding: 10px 30px;
    font-size: 1.2em;
    font-weight: bold;
    color: white;
}

.project-titel h2 {
    margin-bottom: 18px;
}

.project-titel p {
    color: rgb(114, 114, 114);
    font-size: 1.1em;
    width: 60%;
    line-height: 1.5;
}

.sub-projects {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 18px;
    row-gap: 40px;
}

.project-box {
    transition: transform 0.5s ease;
    position: relative;
}

.project-box:hover {
    transform: translateY(-9px);
}

.project-box {
    text-decoration: none;
    color: black;
}

.project-box>div>h3 {
    margin-top: 20px;
    margin-bottom: 10px;
}

.project-box>div>p {
    padding-right: 10px;
    color: rgb(114, 114, 114);
    font-size: 1.1em;
    line-height: 1.5;
}

.project-box>img {
    width: 100%;
    display: block;
    height: auto;
    border-radius: 8px;
}

/* .project-box:nth-child(1)>a>button {
    margin-top: 46px;
}

.project-box:nth-child(3)>a>button {
    margin-top: 46px;
} */

.project-box>div>a>button {
    background-color: transparent;
    border: none;
    margin-top: 15px;
    cursor: pointer;
    background-color: rgb(100, 60, 161);
    border-radius: 100px;
    padding: 10px 15px;
    font-weight: bold;
    color: white;
}



/* ******************* hero-Section ******************* */

.main-hero {
    background-color: rgb(100, 60, 161);
    padding: 50px 30px;
    margin-bottom: 100px;
    color: white;

}

.hero {
    text-align: center;
    color: white;
}

.benefit-titel h2 {
    margin-bottom: 50px;
}

.hero>p {
    font-size: 2em;
}

.hero>span>p {
    margin-top: 30px;
    font-size: 1.5em;
    line-height: 1.5;
}

/* ******************* Social-Media ******************* */
.sub-social-media {
    position: absolute;
    right: -5px;
    bottom: 40%;
    z-index: 1000;
}

.sub-social-media {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3px;
    position: fixed;
}

.social {
    background-color: rgb(60, 254, 46);
    padding: 8px 13px;
    border-radius: 10px 0 0 10px;
}

.social>a>i {
    font-size: 23px;
}

.social>a {
    text-decoration: none;
    color: rgb(25, 14, 41);
}

.social>a>i:hover {
    color: white;
}

/* ******************* Services ******************* */
.main-services {
    padding: 0 30px;
    margin-bottom: 100px;
}

.services-titel {
    margin-bottom: 50px;
}

.services-titel p {
    margin-top: 18px;
    width: 70%;
    line-height: 1.5;
    font-size: 1.1em;
    color: rgb(114, 114, 114);
}

.sub-services {
    display: flex;
    justify-content: space-between;
    text-align: center;
    color: white;

}

.sub-services {
    display: flex;
    gap: 20px;
}

.info-srvices {
    margin-top: 30px;
}

.info-srvices>span {
    font-size: 1.3em;
    font-weight: bold;
    line-height: 1.5;
}

.services {
    background-color: rgb(100, 60, 161);
    padding: 30px;
    border-radius: 8px;
}

.info-srvices>p {
    line-height: 1.5;
    font-size: 1.1em;
    margin-top: 10px;
}

/* ******************* Contact ******************* */
.main-contact {
    margin-bottom: 100px;
    padding: 0 30px;
}

.contact-titel {
    margin-bottom: 50px;
}

.contact-titel h2 {
    margin-bottom: 18px;
}

.contact-titel p {
    width: 70%;
    line-height: 1.5;
    font-size: 1.1em;
    margin-bottom: 30px;
    color: rgb(114, 114, 114);
}

.sub-contact {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 250px;
}

.sub-contact>p {
    font-size: 35px;
    line-height: 1.5;
    width: 50%;
    text-align: center;
    color: gray;
}

.sub-contact>div>button {
    background-color: transparent;
    background-color: rgb(60, 254, 46);
    border-radius: 100px;
    border: none;
    padding: 10px 18px;
    margin-top: 30px;
}

.whatsapp-button {
    display: flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
    color: black;
    font-size: 20px;
    font-weight: bold;
}

.whtsp-icon {
    position: fixed;
    bottom: 30px;
    right: 10px;
    z-index: 1000;

}

.whtsp-icon>button {
    background-color: rgb(0, 190, 0);
    color: white;
    border: none;
    padding: 12px 15px;
    border-radius: 50px;
}


.whtsp-icon>button>a {
    color: white;
}

/* ******************* Projetc Start ******************* */
.main-ps {
    padding: 0 30px;
    margin-bottom: 50px;
}

.ps-titel {
    margin-bottom: 50px;
}

.ps-titel>h2 {
    margin-bottom: 18px;
}

.ps-titel>p {
    color: rgb(114, 114, 114);
    font-size: 1.1em;
    line-height: 1.5;
    width: 80%;
}

.info-ps {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
    margin-bottom: 10px;
}


.info-ps>div>label>input {
    width: 100%;
    padding: 18px 10px;
    border: none;
    background-color: rgb(255, 255, 255);
    border-radius: 8px;
    font-size: 1.1em;
}

.info-ps>div>label>input:focus {
    outline: none;
}

.desc-ps>label>textarea {
    width: 100%;
    resize: none;
    height: 350px;
    margin-bottom: 10px;
    padding: 10px;
    background-color: rgb(255, 255, 255);
    border-radius: 8px;
    border: none;

}

.desc-ps>label>textarea:focus {
    outline: none;
}

form>button {
    background-color: transparent;
    background-color: rgb(60, 254, 46);
    border-radius: 100px;
    border: none;
    padding: 8px 18px;
    margin-top: 10px;
    font-weight: bold;
    font-size: 1.1em;
    cursor: pointer;
}

/* ******************* endorweb ******************* */
.hr {
    margin-bottom: 50px
}

.endorweb {
    text-align: center;
    margin: 0 auto;

}

.endorweb>p {
    font-size: 19vw;
    white-space: nowrap;
    color: rgba(196, 196, 196, 0.397);
}

.copyright {
    text-align: center;
    background-color: rgb(100, 60, 161);
    color: white;
    padding: 10px;
    margin-top: 50px;
    font-size: 1.1em;
}